com.abbyy.mobile.rtr

## Enum IRecognitionService.Warning

- java.lang.Object
- - java.lang.Enum<IRecognitionService.Warning>
  - - com.abbyy.mobile.rtr.IRecognitionService.Warning

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IRecognitionService.Warning>
  Enclosing interface:
    IRecognitionService

      public static enum IRecognitionService.Warning
      extends java.lang.Enum<IRecognitionService.Warning>

  A warning that occurred during processing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TextTooSmall` The text is too small.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IRecognitionService.Warning` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IRecognitionService.Warning[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TextTooSmall

          public static final IRecognitionService.Warning TextTooSmall

      The text is too small. Zoom in or move camera closer.

  - ### Method Detail

    - #### values

          public static IRecognitionService.Warning[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IRecognitionService.Warning c : IRecognitionService.Warning.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IRecognitionService.Warning valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null